Bug 1287702 - (CVE-2015-8394) CVE-2015-8394 pcre: Integer overflow caused by missing check for certain conditions (8.38/31)
CVE-2015-8394 pcre: Integer overflow caused by missing check for certain cond...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Red Hat Product Security
impact=none,public=20151123,reported=...
: Security
Depends On: 1287703 1287704 1287705 1287706
Blocks: 1287727
  Show dependency treegraph
 
Reported: 2015-12-02 09:08 EST by Adam Mariš
Modified: 2017-08-02 23:10 EDT (History)
17 users (show)

See Also:
Fixed In Version: pcre 8.38
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 16:01:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-12-02 09:08:14 EST
It was found that PCRE before 8.38 mishandles the (?(<digits>) and (?(R<digits>) conditions, which allows remote attackers to cause a denial of service (integer overflow) or possibly have unspecified other impact via a crafted regular expression.
Comment 1 Adam Mariš 2015-12-02 09:08:59 EST
Created pcre tracking bugs for this issue:

Affects: fedora-all [bug 1287703]
Comment 2 Adam Mariš 2015-12-02 09:09:08 EST
Created glib2 tracking bugs for this issue:

Affects: fedora-all [bug 1287705]
Comment 3 Adam Mariš 2015-12-02 09:09:15 EST
Created mingw-pcre tracking bugs for this issue:

Affects: fedora-all [bug 1287704]
Affects: epel-7 [bug 1287706]
Comment 4 Adam Mariš 2015-12-02 10:24:50 EST
Corresponds to item 31 in http://vcs.pcre.org/pcre/code/trunk/ChangeLog?view=markup
Comment 5 Petr Pisar 2015-12-02 11:13:50 EST
Fixed in upstream with:

commit b35246ac4badf9c2a99b21b214998361babd7afb
Author: ph10 <ph10@2f5784b3-3f2a-0410-8824-cb99058d5e15>
Date:   Mon Aug 10 14:19:06 2015 +0000

    Add missing integer overflow checks.
    
    
    git-svn-id: svn://vcs.exim.org/pcre/code/trunk@1589 2f5784b3-3f2a-0410-8824-
cb99058d5e15
Comment 6 Fedora Update System 2016-01-04 14:55:15 EST
pcre-8.38-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Tomas Hoger 2016-02-18 15:59:14 EST
(In reply to Petr Pisar from comment #5)
> commit b35246ac4badf9c2a99b21b214998361babd7afb
> Author: ph10 <ph10@2f5784b3-3f2a-0410-8824-cb99058d5e15>
> Date:   Mon Aug 10 14:19:06 2015 +0000
> 
> Add missing integer overflow checks.

Upstream commit link:

http://vcs.pcre.org/pcre?view=revision&revision=1589
Comment 8 Tomas Hoger 2016-02-18 16:01:12 EST
This integer overflow does not seem to have any security impact, similar to bug 1287646 comment 8.

Note You need to log in before you can comment on or make changes to this bug.